<?php
/*
 *  Plugin Name:    Chat Telegram
 *  Plugin URI:     https://www.persianscript.ir
 *  Description:    Can easily create Bubble & buttons for call in any WordPress site. Gutenberg, Elementor and shortcodes supported. 
 *  Author:         پرشین اسکریپت
 *  Author URI:     https://www.persianscript.ir
 *  Requirements:   PHP 5.2.4 or above, WordPress 3.3 or above.
 *  Version:       1.0.1
 * Text Domain:  ta-cts
 * Domain Path:  /languages
 */

// Block Direct access
if (!defined('ABSPATH')) {
    die('You should not access this file directly!.');
}

// Define Constants for direct access alert message.
if (!defined('CTS_ALERT_MSG'))
    define('CTS_ALERT_MSG', esc_html__('You should not access this file directly.!', 'ta-cts'));

// Define constants for plugin directory path.
if (!defined('CTS_DIR_PATH'))
    define('CTS_DIR_PATH', plugin_dir_path(__FILE__));

// Define constants for view directory path.
if (!defined('CTS_VIEW_DIR_PATH'))
    define('CTS_VIEW_DIR_PATH', CTS_DIR_PATH . 'view/');

// Define constants for elementor widget directory path.
if (!defined('TELEGRAM_EW_DIR_PATH'))
    define('TELEGRAM_EW_DIR_PATH', CTS_VIEW_DIR_PATH . 'elementor-widgets/');


// Define constants for plugin directory path.
if (!defined('CTS_DIR_URL'))
    define('CTS_DIR_URL', plugin_dir_url(__FILE__));

// load text domain from plugin folder
function ctS_load_textdomain()
{
    load_plugin_textdomain('', false, dirname(__FILE__) . "/languages");
}
add_action("plugins_loaded", 'cts_load_textdomain');

// Plugin settings in plugin list
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'cts_settings_link');
function cts_settings_link(array $links)
{
    $url = get_admin_url() . "admin.php?page=cts";
    $settings_link = '<a href="' . esc_url($url) . '">' . esc_html__('Settings', 'ta-cts') . '</a>';
    $links[] = $settings_link;
    return $links;
}

// Register block
function create_block_telegram_block_init()
{
    register_block_type_from_metadata(CTS_VIEW_DIR_PATH . 'blocks/');
}
add_action('init', 'create_block_telegram_block_init');


// Register block category 

function telegram_chat_plugin_block_categories($categories)
{
    return array_merge(
        $categories,
        [
            [
                'slug'  => 'telegram-block',
                'title' => __('telegram block', 'ta-cts'),
            ],
        ]
    );
}
add_action('block_categories', 'telegram_chat_plugin_block_categories', 10, 2);

// Script enqueue class include
require_once CTS_DIR_PATH . 'inc/class-enqueue.php';

// View Shortcodes
require_once CTS_DIR_PATH . '/view/elementor-widgets/elementor-widget.php';
require_once CTS_DIR_PATH . 'view/shortcodes/custom-shortcode.php';

// buttons functions
require_once CTS_DIR_PATH . 'inc/functions.php';
// Button template class
require_once CTS_DIR_PATH . 'inc/class-custom-buttons-templates.php';

// single chat bubble template
require_once CTS_DIR_PATH . '/view/chat-bubbles/chat-bubbles.php';

// include framework for admin panel
require_once CTS_DIR_PATH . 'admin/codestar-framework.php';
require_once CTS_DIR_PATH . 'inc/cts-plugin-options.php';
