<?php

add_action('wp_footer', 'cts_chat_popup');

function cts_chat_popup()
{
  $options = get_option('cts-opt');

  $optAvailablity = $options['opt-availablity'];
  $sunday_from = $optAvailablity ? $optAvailablity['availablity-sunday']['from'] : '00:00';
  $sunday_to = $optAvailablity ? $optAvailablity['availablity-sunday']['to'] : '23:59';

  $monday_from = $optAvailablity ? $optAvailablity['availablity-monday']['from'] : '00:00';
  $monday_to = $optAvailablity ? $optAvailablity['availablity-monday']['to'] : '23:59';

  $tuesday_from = $optAvailablity ? $optAvailablity['availablity-tuesday']['from'] : '00:00';
  $tuesday_to = $optAvailablity ? $optAvailablity['availablity-tuesday']['to'] : '23:59';

  $wednesday_from = $optAvailablity ? $optAvailablity['availablity-wednesday']['from'] : '00:00';
  $wednesday_to = $optAvailablity ? $optAvailablity['availablity-wednesday']['to'] : '23:59';

  $thursday_from = $optAvailablity ? $optAvailablity['availablity-thursday']['from'] : '00:00';
  $thursday_to = $optAvailablity ? $optAvailablity['availablity-thursday']['to'] : '23:59';


  $friday_from = $optAvailablity ? $optAvailablity['availablity-friday']['from'] : '00:00';
  $friday_to = $optAvailablity ? $optAvailablity['availablity-friday']['to'] : '23:59';

  $saturday_from = $optAvailablity ? $optAvailablity['availablity-saturday']['from'] : '00:00';
  $saturday_to = $optAvailablity ? $optAvailablity['availablity-saturday']['to'] : '23:59';

  $sunday = ($sunday_from ? $sunday_from : "0:00") . "-" . ($sunday_to ? $sunday_to : "23:59");
  $monday = ($monday_from ? $monday_from : "0:00") . "-" . ($monday_to ? $monday_to : "23:59");
  $tuesday = ($tuesday_from ? $tuesday_from : "0:00") . "-" . ($tuesday_to ? $tuesday_to : "23:59");
  $wednesday = ($wednesday_from ? $wednesday_from : "0:00") . "-" . ($wednesday_to ? $wednesday_to : "23:59");
  $thursday = ($thursday_from ? $thursday_from : "0:00") . "-" . ($thursday_to ? $thursday_to : "23:59");
  $friday = ($friday_from ? $friday_from : "0:00") . "-" . ($friday_to ? $friday_to : "23:59");
  $saturday = ($saturday_from ? $saturday_from : "0:00") . "-" . ($saturday_to ? $saturday_to : "23:59");
  $random = rand(1, 13);
  $bubbleType = null;
  $buttonLabel = $options['bubble-text'];
  if ($options['opt-button-style'] === '1') {
    $bubbleType = '<button class="teleSupport-bubble circle-bubble circle-animation-' . esc_attr($options['circle-animation']) . ' ">
      <span class="open-icon"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
      <span class="close-icon"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
    </button>';
  } elseif ($options['opt-button-style'] === '2') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-bg">
      <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
      <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
      <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
      </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '3') {
    $bubbleType = '<button class="teleSupport-bubble bubble">
      <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
      <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
      <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
      </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '4') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-rounded teleSupport-btn-bg">
    <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
    <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
    <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
    </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '5') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-rounded">
  <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
  <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
  <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
  </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '6') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-bg bubble-transparent">
  <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
  <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
  <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
  </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '7') {
    $bubbleType = '<button class="teleSupport-bubble bubble  bubble-transparent">
  <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
  <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
  <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
  </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '8') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-bg teleSupport-btn-rounded bubble-transparent">
  <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
  <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
  <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
  </div>' . esc_attr($buttonLabel) . '</button>';
  } elseif ($options['opt-button-style'] === '9') {
    $bubbleType = '<button class="teleSupport-bubble bubble teleSupport-btn-rounded bubble-transparent">
  <div class="bubble__icon bubble-animation' . esc_attr($options['circle-animation']) . '">
  <span class="bubble__icon--open"><i class="' . esc_html($options['circle-button-icon']) . '"></i></span>
  <span class="bubble__icon--close"><i class="' . esc_html($options['circle-button-close']) . '"></i></span>
  </div>' . esc_attr($buttonLabel) . '</button>';
  }
?>

  <?php if ($options['opt-chat-type'] === 'single') : ?>
    <div class="teleSupport <?php if ($options['autoshow-popup']) : ?>teleSupport-show<?php endif; ?> <?php if ($options['bubble-style'] === 'dark') : ?>dark-mode <?php elseif ($options['bubble-style'] === 'night') : ?> night-mode<?php endif; ?> <?php if ($options['bubble-position'] === 'left') { ?>teleSupport-left<?php } ?>">
      <?php echo $bubbleType; ?>
      <div class="teleSupport__popup animation<?php if ($options['select-animation'] === 'random') : ?><?php echo $random ?><?php else : ?><?php echo esc_attr($options['select-animation']); ?><?php endif; ?> chat-availability" <?php if ($options['select-timezone']) { ?> data-timezone="<?php echo esc_attr($options['select-timezone']); ?>" <?php } ?> data-availability='{ "sunday":"<?php echo esc_attr($sunday); ?>", "monday":"<?php echo esc_attr($monday); ?>", "tuesday":"<?php echo esc_attr($tuesday); ?>", "wednesday":"<?php echo esc_attr($wednesday); ?>", "thursday":"<?php echo esc_attr($thursday); ?>", "friday":"<?php echo esc_attr($friday); ?>", "saturday":"<?php echo esc_attr($saturday); ?>" }'>
        <div class="teleSupport__popup--header  <?php if ($options['header-content-position'] == 'center') : ?> header-center <?php endif; ?>">
          <div class="image">
            <img src="<?php echo esc_attr($options['agent-photo']['url']); ?>" />
          </div>
          <div class="info">
            <h4 class="info__name"><?php echo esc_html($options['agent-name']); ?></h4>
            <p class="info__title"><?php echo esc_html($options['agent-subtitle']); ?></p>
          </div>
        </div>
        <div class="teleSupport__popup--content">
          <div class="current-time"></div>
          <div class="sms">
            <div class="sms__user">
              <img src="<?php echo esc_attr($options['agent-photo']['url']); ?>" />
            </div>
            <div class="sms__text">
              <p>
                <?php echo esc_html($options['agent-message']); ?>
              </p>
            </div>
          </div>
          <button class="teleSupport__send-message">
            <i class="<?php echo esc_html($options['before-chat-icon']); ?>"></i><?php echo esc_html($options['chat-button-text']); ?>
            <a href="https://t.me/<?php echo esc_attr($options['opt-channel']); ?>" target="_blank"></a>
          </button>
        </div>
      </div>
    </div>

  <?php else : ?>

    <div class="teleSupport-multi <?php if ($options['autoshow-popup']) : ?>teleSupport-show<?php endif; ?> <?php if ($options['bubble-style'] === 'dark') : ?>dark-mode <?php elseif ($options['bubble-style'] === 'night') : ?> night-mode<?php endif; ?> <?php if ($options['bubble-position'] === 'left') { ?>teleSupport-left<?php } ?> <?php if ($options['agent-listGrid'] === 'grid') { ?>teleSupport-grid<?php } ?>">
      <?php echo $bubbleType; ?>
      <div class="teleSupport-multi__popup animation<?php if ($options['select-animation'] === 'random') : ?><?php echo $random ?><?php else : ?><?php echo esc_attr($options['select-animation']); ?><?php endif; ?>">
        <div class="teleSupport-multi__popup--header">
          <h3 class="title"><?php echo esc_html($options['bubble-title']); ?></h3>
          <p class="subtitle"><?php echo esc_html($options['bubble-subtitle']); ?></p>
        </div>
        <div class="teleSupport-multi__popup--content" <?php if ($options['bubble-search']) { ?> data-search="true" <?php } ?> id="multi-user">
          <div class="search">
            <input id="search-input" onkeyup="searchUser()" type="text" placeholder="Search" />
          </div>
          <div class="users">
            <?php foreach ($options['opt-chat-agents'] as $agent) { ?>
              <?php
              $sunday_from = $agent['opt-availablity']['availablity-sunday']['from'];
              $sunday_to = $agent['opt-availablity']['availablity-sunday']['to'];
              $monday_from = $agent['opt-availablity']['availablity-monday']['from'];
              $monday_to = $agent['opt-availablity']['availablity-monday']['to'];
              $tuesday_from = $agent['opt-availablity']['availablity-tuesday']['from'];
              $tuesday_to = $agent['opt-availablity']['availablity-tuesday']['to'];
              $wednesday_from = $agent['opt-availablity']['availablity-wednesday']['from'];
              $wednesday_to = $agent['opt-availablity']['availablity-wednesday']['to'];
              $thursday_from = $agent['opt-availablity']['availablity-thursday']['from'];
              $thursday_to = $agent['opt-availablity']['availablity-thursday']['to'];
              $friday_from = $agent['opt-availablity']['availablity-friday']['from'];
              $friday_to = $agent['opt-availablity']['availablity-friday']['to'];
              $saturday_from = $agent['opt-availablity']['availablity-saturday']['from'];
              $saturday_to = $agent['opt-availablity']['availablity-saturday']['to'];
              $sunday = ($sunday_from ? $sunday_from : "0:00") . "-" . ($sunday_to ? $sunday_to : "23:59");
              $monday = ($monday_from ? $monday_from : "0:00") . "-" . ($monday_to ? $monday_to : "23:59");
              $tuesday = ($tuesday_from ? $tuesday_from : "0:00") . "-" . ($tuesday_to ? $tuesday_to : "23:59");
              $wednesday = ($wednesday_from ? $wednesday_from : "0:00") . "-" . ($wednesday_to ? $wednesday_to : "23:59");
              $thursday = ($thursday_from ? $thursday_from : "0:00") . "-" . ($thursday_to ? $thursday_to : "23:59");
              $friday = ($friday_from ? $friday_from : "0:00") . "-" . ($friday_to ? $friday_to : "23:59");
              $saturday = ($saturday_from ? $saturday_from : "0:00") . "-" . ($saturday_to ? $saturday_to : "23:59");
              ?>
              <div class="user teleSupportUserAvailability" data-number="<?php echo esc_html($agent['agent-number']); ?>" data-timezone="<?php echo esc_html($agent['agent-timezone']); ?>" data-useravailability='{"sunday":"<?php echo esc_attr($sunday); ?>", "monday":"<?php echo esc_attr($monday); ?>", "tuesday":"<?php echo esc_attr($tuesday); ?>", "wednesday":"<?php echo esc_attr($wednesday); ?>", "thursday":"<?php echo esc_attr($thursday); ?>", "friday":"<?php echo esc_attr($friday); ?>", "saturday":"<?php echo esc_attr($saturday); ?>"}'>
                <div class="user__image">
                  <img src="<?php echo esc_attr($agent['agent-photo']['url']); ?>" alt="<?php echo esc_html($agent['agent-name']); ?>" />
                </div>
                <div class="user__info">
                  <h5 class="user__info--name"><?php echo esc_html($agent['agent-name']); ?></h5>
                  <p class="user__info--title"><?php echo esc_html($agent['agent-designation']); ?></p>
                  <p class="user__info--online"><?php echo esc_html($agent['agent-online-text']); ?></p>
                  <p class="user__info--offline"><?php echo esc_html($agent['agent-offline-text']); ?></p>
                </div>
                <a href="https://t.me/<?php echo esc_html($agent['agent-number']); ?>" target="_blank"></a>
              </div>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  <?php endif; ?>
<?php
}


?>